summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/place9
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check2
-rw-r--r--Master/tlpkg/tlpsrc/collection-langitalian.tlpsrc1
-rw-r--r--Master/tlpkg/tlpsrc/frontespizio.tlpsrc2
4 files changed, 9 insertions, 5 deletions
diff --git a/Master/tlpkg/bin/place b/Master/tlpkg/bin/place
index e4e1e2c6186..88f138d72d2 100755
--- a/Master/tlpkg/bin/place
+++ b/Master/tlpkg/bin/place
@@ -84,10 +84,11 @@ if (! -r $tlpsrcfile) {
$tlpsrc->name($package);
$tlpsrc->category($Type);
if (!$chicken) {
- $TMP = ">$tlpsrcfile";
- open (TMP) || die "open($TMP) failed: $!";
- $tlpsrc->writeout(\*TMP);
- close TMP;
+ local *TLPSRC;
+ $TLPSRC = ">$tlpsrcfile";
+ open (TLPSRC) || die "open($TLPSRC) failed: $!";
+ $tlpsrc->writeout(\*TLPSRC);
+ close TLPSRC;
}
} else {
$tlpsrc->from_file($tlpsrcfile);
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index 0ef0922cdd4..091aff081e2 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -78,7 +78,7 @@ my @WorkingTLP = qw(
fncychap foekfont fontch fontspec fonttable footbib forloop formular
fourier fouriernc
fp fpl frankenstein free-math-font-survey
- frenchle fribrief frletter fullpict functan
+ frenchle fribrief frletter frontespizio fullpict functan
gaceta galois gastex gatech-thesis gb4e gcard gcite
genmisc genmpage germbib
gfsartemisia gfsbodoni gfscomplutum gfsdidot gfsneohellenic
diff --git a/Master/tlpkg/tlpsrc/collection-langitalian.tlpsrc b/Master/tlpkg/tlpsrc/collection-langitalian.tlpsrc
index fe6f41cf24f..7d44e91ae96 100644
--- a/Master/tlpkg/tlpsrc/collection-langitalian.tlpsrc
+++ b/Master/tlpkg/tlpsrc/collection-langitalian.tlpsrc
@@ -2,5 +2,6 @@ name collection-langitalian
category Collection
shortdesc Italian
depend collection-basic
+depend frontespizio
depend hyphen-italian
depend itnumpar
diff --git a/Master/tlpkg/tlpsrc/frontespizio.tlpsrc b/Master/tlpkg/tlpsrc/frontespizio.tlpsrc
new file mode 100644
index 00000000000..6aa34912321
--- /dev/null
+++ b/Master/tlpkg/tlpsrc/frontespizio.tlpsrc
@@ -0,0 +1,2 @@
+name frontespizio
+category Package